package
{

	import flash.filters.ColorMatrixFilter;
	import flash.geom.Point;
	import org.flixel.*;

	public class WinState extends FlxState
	{
		[Embed(source = "assets/win.png")] private var ImgBg:Class;
		
		private var sprbg:FlxSprite;
		
		private var hue:Number = 0;
		private var cmf:ColorMatrixFilter;
		private var pz:Point = new Point();
		
		private var playButton:FlxButton;
		private var devButton:FlxButton;
		private var Title:FlxText;
		
		override public function create():void
		{
			FlxG.bgColor = 0xff000000;
			
			sprbg = new FlxSprite(0, 0, ImgBg);
			
			add(sprbg);
			
			FlxG.mouse.show();
			
		}
		
		override public function update():void
		{
			super.update();	
			if (FlxG.mouse.justPressed()) onPlay();
		}
		
		protected function onPlay():void
		{
			FlxG.switchState(new MenuState());
		}
		
		
	}
}

